package org.websparrow.config;

import java.util.HashMap;
import java.util.Map;

import javax.sql.DataSource;

import org.springframework.jdbc.datasource.lookup.AbstractRoutingDataSource;
import org.websparrow.constant.BranchEnum;

public class DataSourceRouting extends AbstractRoutingDataSource {

	@Override
	protected Object determineCurrentLookupKey() {
		return BranchContextHolder.getBranchContext();
	}

	public void initDatasource(DataSource bangkokDataSource,
			DataSource hongkongDataSource) {
		Map<Object, Object> dataSourceMap = new HashMap<>();
		dataSourceMap.put(BranchEnum.BANGKOK, bangkokDataSource);
		dataSourceMap.put(BranchEnum.HONGKONG, hongkongDataSource);
		this.setTargetDataSources(dataSourceMap);
		this.setDefaultTargetDataSource(bangkokDataSource);
	}
}
